Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/dynredem_mod.F90	(revision 5099)
@@ -18,7 +18,7 @@
 
 !===============================================================================
-!
+
 SUBROUTINE dynredem_write_u(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -63,12 +63,12 @@
   
 END SUBROUTINE dynredem_write_u
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE dynredem_write_v(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -113,12 +113,12 @@
   
 END SUBROUTINE dynredem_write_v
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE dynredem_read_u(ncid,id,var,ll)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -149,5 +149,5 @@
     !$OMP MASTER
       start(3)=l
-      CALL err(NF90_GET_VAR(ncid,nvarid,var_glo,start,count),"get",id)
+      CALL err(nf90_get_var(ncid,nvarid,var_glo,start,count),"get",id)
     !$OMP END MASTER
     END IF
@@ -165,12 +165,12 @@
   
 END SUBROUTINE dynredem_read_u    
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE cre_var(ncid,var,title,did,units)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -187,12 +187,12 @@
 
 END SUBROUTINE cre_var
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE put_var(ncid,var,title,did,v,units)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -210,17 +210,17 @@
   CALL err(NF90_ENDDEF(ncid))
   nd=SIZE(did)
-  DO k=1,nd; CALL err(NF90_INQUIRE_DIMENSION(ncid,did(k),len=nn(k))); END DO
+  DO k=1,nd; CALL err(nf90_inquire_dimension(ncid,did(k),len=nn(k))); END DO
   IF(nd==1) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:1))),var)
   IF(nd==2) CALL err(NF90_PUT_VAR(ncid,nvarid,RESHAPE(v,nn(1:2))),var)
   CALL err(NF90_REDEF(ncid))
 END SUBROUTINE put_var
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 FUNCTION msg(typ,nam)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -242,12 +242,12 @@
 
 END FUNCTION msg
-!
-!===============================================================================
-
-
-!===============================================================================
-!
+
+!===============================================================================
+
+
+!===============================================================================
+
 SUBROUTINE err(ierr,typ,nam)
-!
+
 !===============================================================================
   IMPLICIT NONE
@@ -258,5 +258,5 @@
   CHARACTER(LEN=*), OPTIONAL, INTENT(IN) :: nam    !--- FIELD NAME
 !===============================================================================
-  IF(ierr==NF90_NoERR) RETURN
+  IF(ierr==nf90_noerr) RETURN
   IF(.NOT.PRESENT(typ)) THEN
     CALL ABORT_gcm(modname,NF90_STRERROR(ierr),ierr)
@@ -266,5 +266,5 @@
 
 END SUBROUTINE err
-!
+
 !===============================================================================
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/enercin_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE enercin_loc ( vcov, ucov, vcont, ucont, ecin )
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van.
@@ -21,17 +21,17 @@
 !                 . V
 !                i,j-1
-!
+
 !      alpha4 .       . alpha1
-!
-!
+
+
 !        U .      . P     . U
 !       i-1,j    i,j      i,j
-!
+
 !      alpha3 .       . alpha2
-!
-!
+
+
 !                 . V
 !                i,j
-!
+
 ! Kinetic energy at scalar point P(i,j) (excluding poles) is:
 !       Ecin = 0.5 * U(i-1,j)**2 *( alpha3 + alpha4 )  +
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_hyb_loc_m.F90	(revision 5099)
@@ -9,8 +9,8 @@
     !     Auteurs :  P.Le Van  , Fr. Hourdin  .
     !    ..........
-    !
+
     !    ....  ngrid, ps,p             sont des argum.d'entree  au sous-prog ...
     !    ....  pks,pk,pkf   sont des argum.de sortie au sous-prog ...
-    !
+
     !   ************************************************************************
     !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
@@ -20,16 +20,16 @@
     !  .. N.B : Au sommet de l'atmosphere,  p(llm+1) = 0. , et ps et pks sont
     !    la pression et la fonction d'Exner  au  sol  .
-    !
+
     !                                 -------- z
     !    A partir des relations  ( 1 ) p*dz(pk) = kappa *pk*dz(p)      et
     !                            ( 2 ) pk(l) = alpha(l)+ beta(l)*pk(l-1)
     !    ( voir note de Fr.Hourdin )  ,
-    !
+
     !    on determine successivement , du haut vers le bas des couches, les 
     !    coef. alpha(llm),beta(llm) .,.,alpha(l),beta(l),,,alpha(2),beta(2), 
     !    puis pk(ij,1). Ensuite ,on calcule,du bas vers le haut des couches,  
     !     pk(ij,l)  donne  par la relation (2),  pour l = 2 a l = llm .
-    !
-    !
+
+
     USE parallel_lmdz
     USE mod_filtreg_p
@@ -39,5 +39,5 @@
     
     IMPLICIT NONE
-    !
+
     include "dimensions.h"
     include "paramet.h"
@@ -59,5 +59,5 @@
     !$OMP THREADPRIVATE(firstcall) 
     character(len=*),parameter :: modname="exner_hyb_loc"
-    !
+
     !$OMP BARRIER           
 
@@ -126,8 +126,8 @@
 
     !$OMP BARRIER
-    !
-    !
+
+
     !    .... Calcul des coeff. alpha et beta  pour la couche l = llm ..
-    !
+
     !$OMP DO SCHEDULE(STATIC)
     DO     ij      = ijb,ije
@@ -136,9 +136,9 @@
     ENDDO
     !$OMP ENDDO NOWAIT
-    !
+
     !     ... Calcul des coeff. alpha et beta  pour l = llm-1  a l = 2 ...
-    !
+
     DO l = llm -1 , 2 , -1
-       !
+
        !$OMP DO SCHEDULE(STATIC)
        DO ij = ijb, ije
@@ -152,5 +152,5 @@
     !  ***********************************************************************
     !     .....  Calcul de pk pour la couche 1 , pres du sol  ....
-    !
+
     !$OMP DO SCHEDULE(STATIC)
     DO   ij   = ijb, ije
@@ -159,7 +159,7 @@
     ENDDO
     !$OMP ENDDO NOWAIT
-    !
+
     !    ..... Calcul de pk(ij,l) , pour l = 2 a l = llm  ........
-    !
+
     DO l = 2, llm
        !$OMP DO SCHEDULE(STATIC)
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/exner_milieu_loc_m.F90	(revision 5099)
@@ -6,12 +6,12 @@
 
   SUBROUTINE  exner_milieu_loc ( ngrid, ps, p, pks, pk, pkf )
-    !
+
     !     Auteurs :  F. Forget , Y. Wanherdrick
     ! P.Le Van  , Fr. Hourdin  .
     !    ..........
-    !
+
     !    ....  ngrid, ps,p             sont des argum.d'entree  au sous-prog ...
     !    ....  pks,pk,pkf   sont des argum.de sortie au sous-prog ...
-    !
+
     !   ************************************************************************
     !    Calcule la fonction d'Exner pk = Cp * (p/preff) ** kappa , aux milieux des 
@@ -21,5 +21,5 @@
     !  .. N.B : Au sommet de l'atmosphere,  p(llm+1) = 0. , et ps et pks sont
     !    la pression et la fonction d'Exner  au  sol  .
-    !
+
     !     WARNING : CECI est une version speciale de exner_hyb originale
     !               Utilise dans la version martienne pour pouvoir 
@@ -28,5 +28,5 @@
     !              energie totale/ interne / potentielle (F.Forget 2001)
     !    ( voir note de Fr.Hourdin )  ,
-    !
+
     USE parallel_lmdz
     USE mod_filtreg_p
@@ -35,5 +35,5 @@
     
     IMPLICIT NONE
-    !
+
     include "dimensions.h"
     include "paramet.h"
@@ -117,9 +117,9 @@
 
     !$OMP BARRIER
-    !
-    !
+
+
     !    .... Calcul de pk  pour la couche l 
     !    --------------------------------------------
-    !
+
     dum1 = cpp * (2*preff)**(-kappa) 
     DO l = 1, llm-1
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/filtreg_p.F	(revision 5099)
@@ -411,5 +411,5 @@
 
 !      DO j=1,nlat
-!     
+
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ(:,j,:)-champ_fft(:,j,:))/sum(champ(:,j,:)),
@@ -419,6 +419,5 @@
 !          PRINT *,"check FFT ----> Delta(",j,")=",
 !     &            sum(champ-champ_fft)/sum(champ)
-!      
-      
+
 c
  1111 FORMAT(//20x,'ERREUR dans le dimensionnement du tableau  CHAMP a 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/flumass_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE flumass_loc(massebx,masseby, vcont, ucont, pbaru, pbarv )
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/fluxstokenc_p.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: caladvtrac_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
 c
 c
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/friction_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: friction_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
 c=======================================================================
       SUBROUTINE friction_loc(ucov,vcov,pdt)
@@ -16,5 +16,5 @@
 
 !=======================================================================
-!
+
 !   Friction for the Newtonian case:
 !   --------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gcm.F90	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Id$
-!
 
 PROGRAM gcm
@@ -36,15 +35,15 @@
 
   !=======================================================================
-  !
+
   !   Auteur:  P. Le Van /L. Fairhead/F.Hourdin
   !   -------
-  !
+
   !   Objet:
   !   ------
-  !
+
   !   GCM LMD nouvelle grille
-  !
+
   !=======================================================================
-  !
+
   !  ... Dans inigeom , nouveaux calculs pour les elongations  cu , cv
   !      et possibilite d'appeler une fonction f(y)  a derivee tangente
@@ -52,8 +51,8 @@
   !  ... Possibilite de choisir le schema pour l'advection de
   !        q  , en modifiant iadv dans traceur.def  (MAF,10/02) .
-  !
+
   !      Pour Van-Leer + Vapeur d'eau saturee, iadv(1)=4. (F.Codron,10/99)
   !      Pour Van-Leer iadv=10
-  !
+
   !-----------------------------------------------------------------------
   !   Declarations:
@@ -133,10 +132,10 @@
   !  lecture des fichiers gcm.def ou run.def
   !  ---------------------------------------
-  !
+
   CALL conf_gcm( 99, .TRUE. )
   if (mod(iphysiq, iperiod) /= 0) call abort_gcm("conf_gcm", &
        "iphysiq must be a multiple of iperiod", 1)
-  !
-  !
+
+
   !------------------------------------
   !   Initialisation partie parallele
@@ -270,7 +269,6 @@
   ENDIF
 
-  !
   ! on remet le calendrier \`a zero si demande
-  !
+
   IF (start_time /= starttime) then
      WRITE(lunout,*)' GCM: Attention l''heure de depart lue dans le' &
@@ -370,5 +368,5 @@
      CALL inifilr
   endif ! of if (iflag_phys.eq.1)
-  !
+
   !-----------------------------------------------------------------------
   !   Initialisation de la dissipation :
@@ -459,5 +457,5 @@
 
   ! #endif of #ifdef CPP_IOIPSL
-  !
+
   !-----------------------------------------------------------------------
   !   Integration temporelle du modele :
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/getparam.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: getparam.F90 1279 2009-12-10 09:02:56Z fairhead $
-!
+
 MODULE getparam
 #ifdef CPP_IOIPSL
@@ -20,7 +20,7 @@
   SUBROUTINE ini_getparam(fichier)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     CHARACTER*(*) :: fichier
     IF (mpi_rank==0) OPEN(out_eff,file=fichier,status='unknown',form='formatted')
@@ -30,7 +30,7 @@
   SUBROUTINE fin_getparam
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
       IF (mpi_rank==0) CLOSE(out_eff)
 
@@ -39,12 +39,12 @@
   SUBROUTINE getparamr(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     REAL :: def_val
@@ -65,12 +65,12 @@
   SUBROUTINE getparami(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     INTEGER :: def_val
@@ -92,12 +92,12 @@
   SUBROUTINE getparaml(TARGET,def_val,ret_val,comment)
   USE parallel_lmdz
-    !
+
     IMPLICIT NONE
-    !
+
     !   Get a real scalar. We first check if we find it
     !   in the database and if not we get it from the run.def
-    !
+
     !   getinr1d and getinr2d are written on the same pattern
-    !
+
     CHARACTER*(*) :: TARGET
     LOGICAL :: def_val
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_u_scal_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE gr_u_scal_loc(nx,x_u,x_scal)
 c%W%    %G%
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/gr_v_scal_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
       SUBROUTINE gr_v_scal_loc(nx,x_v,x_scal)
 c%W%    %G%
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/guide_loc_mod.F90	(revision 5099)
@@ -1653,5 +1653,5 @@
     
              status=nf90_inq_dimid(ncidu, "LONU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidu,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONU different from iip1 in u.nc'
@@ -1660,5 +1660,5 @@
 
              status=nf90_inq_dimid(ncidu, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidu,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidu,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in u.nc'
@@ -1684,5 +1684,5 @@
              
              status=nf90_inq_dimid(ncidv, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidv,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
              
                 IF (lendim /= iip1) THEN
@@ -1693,5 +1693,5 @@
 
              status=nf90_inq_dimid(ncidv, "LATV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidv,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidv,dimid,namedim,lendim)
              IF (lendim /= jjm) THEN
                 abort_message='dimension LATV different from jjm in v.nc'
@@ -1717,5 +1717,5 @@
 
              status=nf90_inq_dimid(ncidt, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidt,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONV different from iip1 in T.nc'
@@ -1724,5 +1724,5 @@
 
              status=nf90_inq_dimid(ncidt, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidt,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidt,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in T.nc'
@@ -1749,5 +1749,5 @@
 
              status=nf90_inq_dimid(ncidQ, "LONV", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidQ,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
              IF (lendim /= iip1) THEN
                 abort_message='dimension LONV different from iip1 in hur.nc'
@@ -1756,5 +1756,5 @@
 
              status=nf90_inq_dimid(ncidQ, "LATU", dimid)
-             status=NF90_INQUIRE_DIMENSION(ncidQ,dimid,namedim,lendim)
+             status=nf90_inquire_dimension(ncidQ,dimid,namedim,lendim)
              IF (lendim /= jjp1) THEN
                 abort_message='dimension LATU different from jjp1 in hur.nc'
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/iniacademic_loc.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: iniacademic.F90 1625 2012-05-09 13:14:48Z lguez $
-!
+
 SUBROUTINE iniacademic_loc(vcov,ucov,teta,q,masse,ps,phis,time_0)
 
@@ -23,5 +23,5 @@
   USE ener_mod, ONLY: etot0,ptot0,ztot0,stot0,ang0
   USE readTracFiles_mod, ONLY: addPhase
-  use netcdf, only : NF90_NOWRITE,NF90_OPEN,NF90_NOERR,NF90_INQ_VARID,NF90_CLOSE, NF90_GET_VAR
+  use netcdf, only : NF90_NOWRITE,NF90_OPEN,nf90_noerr,NF90_INQ_VARID,NF90_CLOSE, nf90_get_var
 
   !   Author:    Frederic Hourdin      original: 15/01/93
@@ -100,5 +100,5 @@
   ! 1. Initializations for Earth-like case
   ! --------------------------------------
-  !
+
   ! initialize planet radius, rotation rate,...
   call conf_planete
@@ -153,8 +153,8 @@
      relief=0.
      ierr = NF90_OPEN ('relief_in.nc', NF90_NOWRITE,nid_relief)
-     if (ierr==NF90_NOERR) THEN
+     if (ierr==nf90_noerr) THEN
          ierr=NF90_INQ_VARID(nid_relief,'RELIEF',varid)
-         if (ierr==NF90_NOERR) THEN
-              ierr=NF90_GET_VAR(nid_relief,varid,relief(1:iim,1:jjp1))
+         if (ierr==nf90_noerr) THEN
+              ierr=nf90_get_var(nid_relief,varid,relief(1:iim,1:jjp1))
               relief(iip1,:)=relief(1,:)
          else
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initdynav_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: initdynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine initdynav_loc(day0,anne0,tstep,t_ops,t_wrt)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/initfluxsto_p.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
       subroutine initfluxsto_p
      .  (infile,tstep,t_ops,t_wrt,
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/inithist_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: initdynav_p.F 1279 2009-12-10 09:02:56Z fairhead $
-!
+
       subroutine inithist_loc(day0,anne0,tstep,t_ops,t_wrt)
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/integrd_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: integrd_p.F 1299 2010-01-20 14:27:21Z fairhead $
-!
+
       SUBROUTINE integrd_loc
      $  (  nq,vcovm1,ucovm1,tetam1,psm1,massem1,
@@ -234,5 +234,5 @@
 !      ijb=ij_begin
 !      ije=ij_end
-!      
+
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK) 
 !      DO  l = 1,llm
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/leapfrog_loc.F	(revision 5099)
@@ -1,5 +1,5 @@
-! 
+
 ! $Id$
-!
+
 c
 c
@@ -256,5 +256,5 @@
 !$OMP MASTER
       if (firstcall) then
-!      
+
 !      ALLOCATE(p(ijb_u:ije_u,llmp1))
 !      ALLOCATE(pks(ijb_u:ije_u))
@@ -579,10 +579,10 @@
 !         call Register_SwapFieldHallo(finvmaold,finvmaold,ip1jmp1,llm,
 !     &                                jj_Nb_caldyn,0,0,TestRequest)
-! 
+
 !        do j=1,nqtot
 !         call Register_SwapFieldHallo(q(:,:,j),q(:,:,j),ip1jmp1,llm,
 !     &                                jj_nb_caldyn,0,0,TestRequest)
 !        enddo
-!
+
 !         call Set_Distrib(distrib_caldyn)
 !         call SendRequest(TestRequest)
@@ -864,5 +864,5 @@
 
 ! c  Diagnostique de conservation de l'energie : initialisation
-!  
+
 ! c-jld
 ! c$OMP BARRIER
@@ -879,8 +879,8 @@
 ! #endif
 !         call SetTag(Request_physic,800)
-!         
+
 !         call Register_SwapField_u(ucov,ucov,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_v(vcov,vcov,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
@@ -888,5 +888,5 @@
 !         call Register_SwapField_u(teta,teta,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(masse,masse,distrib_physic,
 !      *                            Request_physic,up=1,down=2)
@@ -894,17 +894,17 @@
 !         call Register_SwapField_u(p,p,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(pk,pk,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(phis,phis,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(phi,phi,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(w,w,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call Register_SwapField_u(q,q,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
@@ -912,5 +912,5 @@
 !         call Register_SwapField_u(flxw,flxw,distrib_physic,
 !      *                            Request_physic,up=2,down=2)
-!         
+
 !         call SendRequest(Request_Physic)
 ! c$OMP BARRIER
@@ -921,5 +921,5 @@
 !         call Set_Distrib(distrib_Physic)
 !         call VTe(VThallo)
-!         
+
 !         call VTb(VTphysiq)
 ! c$OMP END MASTER
@@ -1080,11 +1080,11 @@
 !         call Register_SwapField_u(ucov,ucov,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_v(vcov,vcov,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(teta,teta,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(masse,masse,
 !      *                               distrib_caldyn,Request_physic)
@@ -1092,14 +1092,14 @@
 !         call Register_SwapField_u(p,p,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(pk,pk,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(phis,phis,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(phi,phi,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call Register_SwapField_u(w,w,
 !      *                               distrib_caldyn,Request_physic)
@@ -1107,5 +1107,5 @@
 !         call Register_SwapField_u(q,q,
 !      *                               distrib_caldyn,Request_physic)
-!         
+
 !         call SendRequest(Request_Physic)
 ! c$OMP BARRIER
@@ -1226,5 +1226,5 @@
 !c$OMP MASTER
 !        call suspend_timer(timer_caldyn)
-!        
+
 !c       print*,'Entree dans la dissipation : Iteration No ',true_itau
 !c   calcul de l'energie cinetique avant dissipation
@@ -1277,7 +1277,7 @@
 !        call WriteField_u('dtetadis',dtetadis)
 !#endif
-! 
+
 !!      CALL FTRACE_REGION_END("dissip")
-!         
+
 !        ijb=ij_begin
 !        ije=ij_end
@@ -1318,5 +1318,5 @@
 !            call covcont_loc(llm,ucov,vcov,ucont,vcont)
 !            call enercin_loc(vcov,ucov,vcont,ucont,ecin)
-!            
+
 !            ijb=ij_begin
 !            ije=ij_end
@@ -1349,5 +1349,5 @@
 !        ijb=ij_begin
 !        ije=ij_end
-!         
+
 !        if (pole_nord) then
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1369,5 +1369,5 @@
 !          ENDDO
 !            tpn  = SSUM(iim,tppn,1)/apoln
-!  
+
 !          DO ij = 1, iip1
 !            ps(  ij    ) = tpn
@@ -1375,5 +1375,5 @@
 !c$OMP END MASTER
 !        endif
-!        
+
 !        if (pole_sud) then
 !c$OMP DO SCHEDULE(STATIC,OMP_CHUNK)
@@ -1395,5 +1395,5 @@
 !          ENDDO
 !            tps  = SSUM(iim,tpps,1)/apols
-!  
+
 !          DO ij = 1, iip1
 !            ps(ij+ip1jm) = tps
@@ -1408,5 +1408,5 @@
 
 !        call stop_timer(timer_dissip)
-!        
+
 !        call VTb(VThallo)
 !c$OMP END MASTER
@@ -1738,5 +1738,5 @@
 !             iday = day_ini+itau/day_step
 !             time = REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
-!
+
 !                  IF(time.GT.1.) THEN
 !                   time = time-1.
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/lmdz_call_calfis.F90	(revision 5099)
@@ -129,8 +129,5 @@
 #endif
 
-!
 !     .......   Ajout   P.Le Van ( 17/04/96 )   ...........
-!
-
 
   !$OMP MASTER
@@ -390,5 +387,4 @@
   !$OMP BARRIER
 
-!
 !  Diagnostique de conservation de l'energie : difference
     IF (ip_ebil_dyn>=1 ) THEN
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/logic_mod.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id: $
-!
+
 MODULE logic_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbar_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE massbar_loc(masse,massebx,masseby)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
@@ -23,28 +23,28 @@
 !    * alpha4(i,j) at point ( i-1/4,j-1/4 )
 ! where alpha1(i,j) = aire(i+1/4,j-1/4)/ aire(i,j)
-!
+
 !   alpha4 .         . alpha1    . alpha4
 !    (i,j)             (i,j)       (i+1,j)
-!
+
 !             P .        U .          . P
 !           (i,j)       (i,j)         (i+1,j)
-!
+
 !   alpha3 .         . alpha2    .alpha3 
 !    (i,j)              (i,j)     (i+1,j)
-!
+
 !             V .        Z .          . V
 !           (i,j)
-!
+
 !   alpha4 .         . alpha1    .alpha4
 !   (i,j+1)            (i,j+1)   (i+1,j+1) 
-!
+
 !             P .        U .          . P
 !          (i,j+1)                    (i+1,j+1)
-!
-!
+
+
 !    massebx(i,j) = masse(i  ,j) * ( alpha1(i  ,j) + alpha2(i,j))   +
 !                   masse(i+1,j) * ( alpha3(i+1,j) + alpha4(i+1,j) )
 !     localized at point  ... U (i,j) ...
-!
+
 !    masseby(i,j) = masse(i,j  ) * ( alpha2(i,j  ) + alpha3(i,j  )  +
 !                   masse(i,j+1) * ( alpha1(i,j+1) + alpha4(i,j+1)  
Index: LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/dyn3dmem/massbarxy_loc.F90	(revision 5099)
@@ -1,4 +1,4 @@
 SUBROUTINE massbarxy_loc(masse,massebxy)
-!
+
 !-------------------------------------------------------------------------------
 ! Authors: P. Le Van , Fr. Hourdin.
